// Interface routines for MacPPP
//  1994-95 Richard Buckle <richardb@cocytus.demon.co.uk>

// Release 1.2 for CodeWarrior 7

// Many thanks to Steve Dagley for helping me make this code
// OT-compliant. If you use this, please credit him in your readmes.

// IMPORTANT: the libraries contain a string literal.
// If building a 68K code resource, you MUST set up A4.
// You should also assume that all these calls can move memory.

#ifdef __cplusplus
extern "C" {
#endif

// Return TRUE if PPP is installed
Boolean PPPisInstalled( void );

// Return TRUE if PPP is installed and open
Boolean PPPisOpen( void );

// Open PPP if it's installed
void OpenPPP( void );

// Hard close PPP if it's installed
// (hard close is usually preferable)
void ClosePPPHard( void );

// Soft close PPP if it's installed
// This allows PPP to redial without the user's permission
// If you use it, explain this in your documentation or
// you'll get lots of bug reports :-)
void ClosePPPSoft( void );

// Return TRUE if the machine is using Open Transport rather than MacTCP.
Boolean UsingOpenTransport( void );

#ifdef __cplusplus
}
#endif
